function debug:config/global_top
tellraw @s [{"text":"Go Back","color":"#FFFF55", "hoverEvent":{"action":"show_text","contents":[{"text":"Click Go Back","color":"#CCCCCC","italic":"true"}]},"clickEvent":{"action":"run_command","value":"/function debug:ptv_config"}},{"text":"\n"}]

#CHECK DATA ARCHIVE
tellraw @s [{"text":"Check data archive: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:version_query"}}]

#RESOURCE PACK SOUND TEST
tellraw @s [{"text":"Test sound: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/playsound pillage:final_wave_end master @s"}}]

#REVOKE DISMISSES
tellraw @s [{"text":"Revoke warning dismisses: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:revoke_dismisses"}}]

#SCHEDULE MONITORE
execute at @s unless entity @e[tag=1] run tellraw @s [{"text":"Schedules monitor: "}, {"text":"Open","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:schedule_monitor"}}]
execute at @s if entity @e[tag=1] run tellraw @s [{"text":"Schedules monitor: "}, {"text":"Close","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:schedule_monitor_close"}}]

#SENSETIVE FUNCTION CHECK
tellraw @s [{"text":"Sensitive function warning: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:sensitive_function_warning"}}]

#DEBUG MODE
execute unless score $debug debug_mode matches 1 run tellraw @s [{"text":"Data pack debug mode: "}, {"text":"Off","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:debug_mode_switch"}}]
execute if score $debug debug_mode matches 1 run tellraw @s [{"text":"Data pack debug mode: "}, {"text":"On","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:debug_mode_switch_2"}}]

#DEBUG STATUS
tellraw @s [{"text":"Debug mode status: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:mode_status_ve"}}]

#TEST FOR RAID MARKER
tellraw @s [{"text":"Test for raid marker: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/execute at @s if entity @e[predicate=ve:raid_marker] run say Marker found"}}]

#MARK MARKER POSITION
tellraw @s [{"text":"Mark markers position: "}, {"text":"Execute","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/execute at @s as @e[type=minecraft:marker] at @s run summon minecraft:item_display ~ ~ ~ {billboard:center,item:{id:\"minecraft:barrier\",Count:1b},Tags:[marked_marker],Glowing:1b}"}}]


#NAV BUTTONS
tellraw @s [{"text":"\n"},{"text":"Previous Page","color":"#555555","bold":"true"},{"text":"  ||  ","color":"#CCCCCC"},{"text":"1/5","color":"#CCCCCC"},{"text":"  ||  ","color":"#CCCCCC"},{"text":"Next Page","color":"#FFFF55","bold":"true", "clickEvent":{"action":"run_command","value":"/function debug:config/debugging_pg2"}, "hoverEvent":{"action":"show_text","contents":[{"text":"Click Next Page","color":"#CCCCCC","italic":"true"}]}}]

function debug:config/global_bottom