scoreboard players add $next_id illusioner_cloned_count 1
scoreboard players operation @s illusioner_cloned_count = $next_id illusioner_cloned_count

#spawning
tag @s add cloning
tag @s[tag=cloning,tag=!fooled] add fooled

#min 2
execute if entity @s[tag=cloning] run schedule function pillage:illusioner_clone_summon 6t append
execute if entity @s[tag=cloning] run schedule function pillage:illusioner_clone_summon 12t append

#min 5 (+3)
execute if entity @s[tag=cloning] if score $easy.min config_illusioner_clone matches 1 run schedule function pillage:illusioner_clone_summon_min_5 18t append

#min 10 (+7)
execute if entity @s[tag=cloning] if score $easy.min config_illusioner_clone matches 2 run schedule function pillage:illusioner_clone_summon_min_10 18t append

#max >2
execute if entity @s[tag=cloning,scores={illusioner_health=1000..}] unless score $easy.min config_illusioner_clone matches 1..2 if score $easy.max config_illusioner_clone matches 1..2 if predicate ve:50_chance run schedule function pillage:illusioner_clone_summon_bonus 18t append
execute if entity @s[tag=cloning,scores={illusioner_health=10..999}] unless score $easy.min config_illusioner_clone matches 1..2 if score $easy.max config_illusioner_clone matches 1..2 if predicate ve:70_chance run schedule function pillage:illusioner_clone_summon_bonus2 18t append

#max >5
execute if entity @s[tag=cloning,scores={illusioner_health=1000..}] if score $easy.min config_illusioner_clone matches 1 if score $easy.max config_illusioner_clone matches 2 if predicate ve:50_chance run schedule function pillage:illusioner_clone_summon_bonus 36t append
execute if entity @s[tag=cloning,scores={illusioner_health=10..999}] if score $easy.min config_illusioner_clone matches 1 if score $easy.max config_illusioner_clone matches 2 if predicate ve:70_chance run schedule function pillage:illusioner_clone_summon_bonus2 36t append

#max 2
execute unless score $easy.max config_illusioner_clone matches 1..2 if entity @s[tag=cloning] run schedule function pillage:illusioner_clone_summon_stop 14t append

#max 5
execute if score $easy.max config_illusioner_clone matches 1 if entity @s[tag=cloning] run schedule function pillage:illusioner_clone_summon_stop 32t append

#max 10
execute if score $easy.max config_illusioner_clone matches 2 if entity @s[tag=cloning] run schedule function pillage:illusioner_clone_summon_stop 62t append

tag @s[tag=cloning] add has_clones