#setup
execute if entity @s[tag=!set] run function pillage:piglin_emperor/set


#phase 1 to 2
execute if entity @s[tag=phase_1,scores={emperor_health=..20000}] run function pillage:piglin_emperor/phase_1_to_2

#phase 2 to 3
execute if entity @s[tag=phase_2,scores={emperor_health=..15000}] run function pillage:piglin_emperor/phase_2_to_3

#phase 3 to 4
execute if entity @s[tag=phase_3,scores={emperor_health=..10000}] run function pillage:piglin_emperor/phase_3_to_4

#phase 4 to 5
execute if entity @s[tag=phase_4,scores={emperor_health=..5000}] run function pillage:piglin_emperor/phase_4_to_5



#bossbar dynamics
execute store result score @s emperor_health run data get entity @s Health 100
execute store result bossbar pillage:emperor_health value run data get entity @s Health

bossbar set pillage:emperor_health players @a[distance=..128]

#player is hiding
execute at @p[predicate=ve:mode/survivals] run scoreboard players add @s[predicate=ve:4_distance_h,predicate=!ve:2_distance_v] is_hiding 1
execute unless entity @p[distance=..128,predicate=ve:mode/survivals] run scoreboard players reset @s[scores={is_hiding=1..}] is_hiding
execute if score @s is_hiding matches 100 run function pillage:piglin_emperor/distance_hit
execute if score @s is_hiding_potion matches 3 run function pillage:piglin_emperor/heal

#emperor is on fire
execute unless score $can_be_fireproof config_piglin_emperor matches 1 unless predicate ve:emperor_is_fire_resistant if predicate ve:is_burning run function pillage:piglin_emperor/fire_resistance
execute if predicate ve:emperor_is_fire_resistant if block ~ ~0.2 ~ minecraft:lava if block ^ ^1 ^1.2 #ve:emperor_can_swim if block ^ ^1.9 ^1.2 #ve:emperor_can_swim if block ^ ^0.2 ^1.2 #ve:emperor_can_swim if block ~ ~2.25 ~ #ve:emperor_can_swim run function pillage:piglin_emperor/fire_resistance_level
execute if block ~ ~0.2 ~ minecraft:lava[level=0] if block ~ ~2.25 ~ #ve:emperor_can_swim run tp @s[predicate=ve:emperor_is_fire_resistant] ~ ~0.01 ~
execute if entity @s[scores={potion_fire=1..},predicate=!ve:is_burning] run function pillage:piglin_emperor/fire_resistance_finish_alt

#charge attack common
execute if entity @s[tag=can_charge] run function pillage:piglin_emperor/charge_attack_common

#player throw
execute if entity @s[tag=can_throw,tag=!charging] run function pillage:piglin_emperor/player_throw_attack_common