#unconditioned

#conditioned
execute unless score $pass load_tests matches 1 unless score $global config_online matches 1 if score $resources load_tests matches 0 if entity @a[tag=!checking_resources] run function debug:ptv_resources_check
execute unless score $pass load_tests matches 1 unless score $singleplayer loading_st2 matches 1 if score $dimension load_tests matches 1 if score $resources load_tests matches 1 if entity @a run function pillage:load_stage2
execute unless score $global difficulty matches 0 if score $global bossbars_locked matches 1 run scoreboard players reset $global bossbars_locked
execute as @a at @s run function pillage:player_updates
execute if score $global castle_returning matches 1 as @a[tag=leaving_castle] run function ve:left_castle_loop
execute unless score $global config_optimazation matches 2..3 as @e[predicate=ve:executable_items] at @s run function pillage:item_entity_updates
execute if score $global config_optimazation matches 2..3 as @e[predicate=ve:executable_items,limit=5] at @s run function pillage:item_entity_updates
execute as @e[type=minecraft:marker] at @s run function pillage:marker_table
execute as @e[type=minecraft:illusioner] at @s run function pillage:illusioner_disambiguation
execute as @e[predicate=ve:is_illusioner] at @s run function pillage:is_illusioner_table
execute as @e[type=#ve:can_deal_damage,team=passive_aggressive_mobs] run function pillage:passive_aggressive_mobs_table
execute as @e[predicate=ve:witch_cat,tag=witch_cat] run function pillage:witch_cat_pillager_town
execute as @e[type=minecraft:piglin_brute,tag=king] at @s if entity @p[distance=..110] run function pillage:piglin_emperor
execute as @e[predicate=ve:piglin_zombificable,predicate=ve:piglin_picks_cloth] run function pillage:piglin_picks_cloth
execute as @e[type=#ve:explosives,tag=!defused] at @s if entity @e[type=minecraft:marker,limit=1,distance=..50,nbt={data:{Type:"illusioner"}}] run function pillage:explosives_near_castle
execute as @e[type=minecraft:item_display,tag=marked_marker,limit=1] at @s unless entity @e[type=minecraft:marker,distance=..0.1] run kill @s
execute as @e[type=minecraft:item_display,tag=defeated_grand_illusioner,limit=1] at @s positioned ~ ~-0.5 ~ if entity @p[distance=..5,predicate=!ve:mode/spectator] run function pillage:defeated_grand_illusioner
execute unless score $global config_mobs_bad_omen matches 1 as @e[type=#minecraft:raiders,nbt={PatrolLeader:1b}] run data modify entity @s PatrolLeader set value 0
execute unless score $global config_water_skeleton matches 1 as @e[type=#minecraft:skeletons,predicate=ve:is_holding_bow] at @s positioned ~ ~1.3 ~ if block ~ ~ ~ minecraft:water run function pillage:underwater_skeleton
execute as @e[type=#minecraft:skeletons,tag=had_bow] at @s positioned ~ ~1.3 ~ unless block ~ ~ ~ minecraft:water run function pillage:underwater_skeleton_2

#raiders team joining
team join raiders @e[predicate=ve:raiders_team_joinable,limit=1]

#server only
execute if score $global config_online matches 1 unless score $multiplayer loading_st2 matches 1 if entity @a run function pillage:load_stage2_server